<template>
  <div class="page">
    <div class="container">
      <slot class="content" />
    </div>
  </div>
</template>

<script>
export default {
  name: 'VPage',
};
</script>

<style lang="stylus" scoped>
.page
  margin-top 3rem
  width 100%
  display flex
  align-items center
  justify-content center
  height 100%

.container
  max-width var(--width-page)
  width 100%
  display flex
  flex-direction column
  align-items center
  justify-content space-between
  margin 0 4rem

  &:firs-child
    width 100%

  div, form
    width 100%
</style>
